org.apache.lucene.search

## Class FieldValueQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.FieldValueQuery

- All Implemented Interfaces:
    Cloneable

      public final class FieldValueQuery
      extends Query

  A `Query` that matches documents that have a value for a given field as reported by `LeafReader.getDocsWithField(String)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValueQuery(String field)` Create a query that will match that have a value for the given `field`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Expert: Constructs an appropriate Weight implementation for this query.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, getBoost, rewrite, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldValueQuery

          public FieldValueQuery(String field)

      Create a query that will match that have a value for the given `field`.

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query`

    - #### toString

          public String toString(String field)

      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.
      Specified by:
        `toString` in class `Query`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                            boolean needsScores)
                              throws IOException

      Description copied from class: `Query`
      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Overrides:
        `createWeight` in class `Query`
        `needsScores` - True if document scores (`Scorer.score()`) or match frequencies (`Scorer.freq()`) are needed.
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.